dp14txss: xdptxss_vcu118_tx.h File Reference

| dp14txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdptxss_vcu118_tx.h File Reference

## Overview

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes

     1.00  Kei  08/09/17 First Release

## Functions
void | hpd_con (XDpTxSs *InstancePtr, u8 Edid_org[128], u8 Edid1_org[128], u16 res_update)
| This function is called when a Hot-Plug-Detect (HPD) event is received by the DisplayPort TX Subsystem core. More...
void | hpd_pulse_con (XDpTxSs *InstancePtr)
| This function is the main hpd pulse process. More...
char | xil_getc (u32 timeout_ms)
| This function to get uart input from user. More...
void | sendAudioInfoFrame (XilAudioInfoFrame *xilInfoFrame)
| This function to send Audio Information Frame. More...
void | Vpg_Audio_start (void)
| This function starts audio pattern generator. More...
void | Vpg_Audio_stop (void)
| This function stops audio pattern generator. More...
u32 | start_tx (u8 line_rate, u8 lane_count, user_config_struct user_config)
| This function starts tx process. More...
u32 | PHY_Configuration_Tx (XVphy *InstancePtr, XVphy_User_Config PHY_User_Config_Table)
| This function sets up PHY. More...
u32 | set_vphy (int LineRate_init_tx)
| This function sets VPHY based on the linerate. More...
void | Vpg_VidgenSetUserPattern (XDp *InstancePtr, u8 Pattern)
| This function sets user pattern. More...
void | sink_power_down (void)
| This function powers down sink. More...
void | sink_power_up (void)
| This function powers down sink. More...
u8 | get_LineRate (void)
| This function returns current line rate. More...
u8 | get_Lanecounts (void)
| This function returns current lane counts. More...
void | sink_power_cycle (void)
| This function power cycle the sink. More...
int | VideoFMC_Init (void)
| This function will detect video resolution/frequency change Many GPUs won't re-train when only video res/freq change. More...
int | IDT_8T49N24x_SetClock (u32 I2CBaseAddress, u8 I2CSlaveAddress, int FIn, int FOut, u8 FreeRun)
| This function calculates and sets the IDT 8TN49N24x device with the given clock configuration. More...
int | IDT_8T49N24x_Init (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function initializes the IDT 8TN49N24x with default values for use with the Video FMC. More...
int | TI_LMK03318_PowerDown (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function puts the TI LMK03318 into sleep. More...

## Function Documentation

u8 get_Lanecounts | ( | void |  | ) |

This function returns current lane counts.

Parameters

  None. |

Returns
  None.

Note
  None.

References XDpTxSs::DpPtr.

u8 get_LineRate | ( | void |  | ) |

This function returns current line rate.

Parameters

  None. |

Returns
  None.

Note
  None.

References XDpTxSs::DpPtr.

Referenced by DpPt_LinkrateChgHandler().

void hpd_con | ( | XDpTxSs * | InstancePtr,
|  | u8 | Edid_org[128],
|  | u8 | Edid1_org[128],
|  | u16 | res_update
| ) |  |

This function is called when a Hot-Plug-Detect (HPD) event is received by the DisplayPort TX Subsystem core.

Parameters

  InstancePtr | is a pointer to the XDpTxSs instance.

Returns
  None.

Note
  Use the XDpTxSs_SetCallback driver function to set this function as the handler for HPD event.

References XDpTxSs::DpPtr, set_vphy(), XDpTxSs::UsrHpdEventData, Vpg_StreamSrcConfigure(), Vpg_VidgenSetUserPattern(), XDpTxSs_CheckLinkStatus(), XDpTxSs_SetBpc(), XDpTxSs_SetLaneCount(), XDpTxSs_SetLinkRate(), XDpTxSs_SetVidMode(), and XDpTxSs_Start().

void hpd_pulse_con | ( | XDpTxSs * | InstancePtr | ) |

This function is the main hpd pulse process.

Returns
  None.

Note
  None.

References XDpTxSs::DpPtr, sink_power_cycle(), XDpTxSs::UsrHpdEventData, XDpTxSs::UsrHpdPulseData, XDpTxSs_SetLaneCount(), XDpTxSs_SetLinkRate(), and XDpTxSs_Start().

u32 PHY_Configuration_Tx | ( | XVphy * | InstancePtr,
|  | XVphy_User_Config | PHY_User_Config_Table
| ) |  |

This function sets up PHY.

Parameters

  pointer | to VideoPHY
  User | Config table

Returns
  - XST_SUCCESS if interrupt setup was successful.
  - A specific error code defined in "xstatus.h" if an error occurs.

Note
  None.

void sendAudioInfoFrame | ( | XilAudioInfoFrame * | xilInfoFrame | ) |

This function to send Audio Information Frame.

Parameters

  XilAudioInfoFrame |

Returns
  None.

Note
  None.

References XDpTxSs::DpPtr.

u32 set_vphy | ( | int | LineRate_init_tx | ) |

This function sets VPHY based on the linerate.

Parameters

  user_config_struct. |

Returns
  Status.

Note
  None.

References PHY_Configuration_Tx().

Referenced by DpPt_LinkrateChgHandler(), and hpd_con().

void sink_power_cycle | ( | void |  | ) |

This function power cycle the sink.

Parameters

  user_config_struct. |

Returns
  Status.

Note
  None.

References sink_power_down(), and sink_power_up().

void sink_power_down | ( | void |  | ) |

This function powers down sink.

Parameters

  None. |

Returns
  None.

Note
  None.

References XDpTxSs::DpPtr.

Referenced by DpPt_HpdEventHandler(), and sink_power_cycle().

void sink_power_up | ( | void |  | ) |

This function powers down sink.

Parameters

  None. |

Returns
  None.

Note
  None.

References XDpTxSs::DpPtr.

Referenced by DpPt_HpdEventHandler(), and sink_power_cycle().

u32 start_tx | ( | u8 | line_rate,
|  | u8 | lane_count,
|  | user_config_struct | user_config
| ) |  |

This function starts tx process.

Parameters

  line | rate
  lane | counts
  pointer | to resolution table
  bit | per components
  video | pattern to output

Returns
  - XST_SUCCESS if interrupt setup was successful.
  - A specific error code defined in "xstatus.h" if an error occurs.

Note
  None.

References clk_wiz_locked(), XDpTxSs::DpPtr, sink_power_cycle(), Vpg_StreamSrcConfigure(), Vpg_VidgenSetUserPattern(), XDpTxSs_CheckLinkStatus(), XDpTxSs_SetBpc(), XDpTxSs_SetLaneCount(), XDpTxSs_SetLinkRate(), and XDpTxSs_SetVidMode().

int VideoFMC_Init | ( | void |  | ) |

This function will detect video resolution/frequency change Many GPUs won't re-train when only video res/freq change.

Application needs to know if it changed and need to detect new parameter. Based on the parameter, re-set and re-start VDAM and Tx

Returns
  None

This function will detect video resolution/frequency change Many GPUs won't re-train when only video res/freq change.

Parameters

  None. |

Returns
  None.

Note
  None.

Application needs to know if it changed and need to detect new parameter. Based on the parameter, re-set and re-start VDAM and Tx

Returns
  None

This function will detect video resolution/frequency change Many GPUs won't re-train when only video res/freq change.

Parameters

  None. |

Returns
  None.

Note
  None.

References I2C_IDT8N49_ADDR, I2C_LMK03318_ADDR, I2C_MUX_ADDR, I2C_VFMCEXP_0_ADDR, I2C_VFMCEXP_1_ADDR, IDT_8T49N24x_Init(), and TI_LMK03318_PowerDown().

void Vpg_Audio_start | ( | void |  | ) |

This function starts audio pattern generator.

Returns
  None.

Note
  None.

void Vpg_Audio_stop | ( | void |  | ) |

This function stops audio pattern generator.

Returns
  None.

Note
  None.

void Vpg_VidgenSetUserPattern | ( | XDp * | InstancePtr,
|  | u8 | Pattern
| ) |  |

This function sets user pattern.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  Pattern | number to set with

Returns
  None.

Note
  None.

char xil_getc | ( | u32 | timeout_ms | ) |

This function to get uart input from user.

Parameters

  timeout_ms |

Returns
  - received charactor

Note
  None.

This function to get uart input from user.

Parameters

  None. |

Returns
  None.

Note
  None.

This function to get uart input from user

Parameters

  timeout_ms |

Returns
  - received charactor

Note
  None.